Subject: Re: [Bier] Erik Kline's No Objection on draft-ietf-bier-te-arch-10: (with COMMENT)

From: Toerless Eckert <[email-masked]>
Date: Fri, 28 Jan 2022 18:07:29 +0100

Thanks, Eric Kline

Detailed replies for your comments below inline.
It should resolve all your concerns.
These have been integrated into draft rev -12
which the authors feel is ready for RFC editor.

Full diff from -11 to -12:

http://tools.ietf.org//rfcdiff?url1=https://www.ietf.org/archive/id/draft-ietf-bier-te-arch-11.txt&url2=https://www.ietf.org/archive/id/draft-ietf-bier-te-arch-12.txt

Diff with just the deltas for comments by Eric Vyncke, Eric Kline, Martin Vigoroux and Lars Eggert

http://tools.ietf.org//rfcdiff?url1=https://raw.githubusercontent.com/toerless/bier-te-arch/c88c22d82f8e17e66929e2f0d82ca02680b8fe0e/draft-ietf-bier-te-arch.txt&url2=https://raw.githubusercontent.com/toerless/bier-te-arch/ca1c4ec15302e5287c0bd60b9f14d2c58428e50f/draft-ietf-bier-te-arch.txt

Thanks again for your review.

Toerless

On Tue, Aug 24, 2021 at 06:02:39PM -0700, Erik Kline via Datatracker wrote:
> Erik Kline has entered the following ballot position for
> draft-ietf-bier-te-arch-10: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-bier-te-arch/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> [S2.1, comment]
> 
> * "A packet from BFR1 to BFR3,BFR4 and from BFR4 to BFR uses (p1,p2,p3,p4,p6)"
> 
>   ->
> 
>   "A packet from BFR1 to BFR3,BFR4 and from BFR4 to BFR6 uses (p1,p2,p3,p4,p6)"
> 
>   ...I think.

Thank you so much. Really annoying to have missed that one in before
given how i just did redo the text.

> [S4.2.2,4.3 comment]
> 
> * Both of these forward_routed() encap sections have no apparent mention
>   of MTU considerations.  Maybe just drop a handy reference in one of these
>   sections to the text in RFC 8296 section 3?

Added to beginning of 4.3:

<t>Like </xref target="RFC8279"/>, handling of "Maximum Transmission Unit" (MTU)
limitations is outside the scope of this document and instead part of the
BIER-TE packet encapsulation and/or flow overlay. See for example <xref target="RFC8296"/>, Section 3.
It applies equally to BIER-TE as it does to BIER.</t>

Thanks!
    Toerless